API ReferenceSemantic CWT
Update Semantic CWT credential revocation status
POST
Updates the credential status as revoked (invalid) or unrevoked (valid).
Roles
adminissuermanaged-issuer
Analytics Events
CREDENTIAL_COMPACT_SEMANTIC_REVOCATION_SET_STATUS_STARTCREDENTIAL_COMPACT_SEMANTIC_REVOCATION_SET_STATUS_SUCCESSCREDENTIAL_COMPACT_SEMANTIC_REVOCATION_SET_STATUS_FAIL
bearerAuthheader
AuthorizationBearer <token>id*stringUnique credential identifier (jti)
Update revocation status
application/json- body
isRevoked*booleanWhen set to true the credential will be revoked. When set to false, the credential will be unrevoked.
Revocation status updated
application/json- response
id*stringUnique credential identifier.
isRevoked*booleanIndicates whether the credential has been revoked (true) or not (false).
curl -X POST "https://example.com/v2/credentials/compact-semantic/string/revocation-status" \ -H "Content-Type: application/json" \ -d '{ "isRevoked": true }'{ "id": "string", "isRevoked": true}How would you rate this page?
Retrieve CWT credential revocation list GET
Returns a CWT credential revocation list by providing its ID. This endpoint is intended for public consumption, and as such does not require authentication.
Retrieve Semantic CWT credential revocation status GET
Retrieve the revocation status of a Semantic CWT credential by providing its ID.